/**
 * @(#)DanceScreenRecord.
 * Copyright © 2012 jbundle.org. All rights reserved.
 * GPL3 Open Source Software License.
 */
package org.jbundle.app.dance.screen;

import java.util.*;

import org.jbundle.base.db.*;
import org.jbundle.thin.base.util.*;
import org.jbundle.thin.base.db.*;
import org.jbundle.base.db.event.*;
import org.jbundle.base.db.filter.*;
import org.jbundle.base.field.*;
import org.jbundle.base.field.convert.*;
import org.jbundle.base.field.event.*;
import org.jbundle.base.model.*;
import org.jbundle.base.util.*;
import org.jbundle.model.*;
import org.jbundle.model.db.*;
import org.jbundle.model.screen.*;
import org.jbundle.app.dance.db.*;

/**
 *  DanceScreenRecord - .
 */
public class DanceScreenRecord extends ScreenRecord
{
    private static final long serialVersionUID = 1L;

    public static final String DANCE_ID = "DanceID";
    public static final String DANCE_ALIGNMENT_IN_ID = "DanceAlignmentInID";
    public static final String DANCE_ALIGNMENT_OUT_ID = "DanceAlignmentOutID";
    public static final String DANCE_ARTISTIC_CLASS_ID = "DanceArtisticClassID";
    public static final String DANCE_DIRECTION_ID = "DanceDirectionID";
    public static final String DANCE_FOOT_IN = "DanceFootIn";
    public static final String DANCE_FOOT_OUT = "DanceFootOut";
    public static final String DANCE_POSITION_IN_ID = "DancePositionInID";
    public static final String DANCE_POSITION_OUT_ID = "DancePositionOutID";
    public static final String HAND_POSITION_IN_ID = "HandPositionInID";
    public static final String HAND_POSITION_OUT_ID = "HandPositionOutID";
    public static final String MOVE_CLASS_ID = "MoveClassID";
    /**
     * Default constructor.
     */
    public DanceScreenRecord()
    {
        super();
    }
    /**
     * Constructor.
     */
    public DanceScreenRecord(RecordOwner screen)
    {
        this();
        this.init(screen);
    }
    /**
     * Initialize class fields.
     */
    public void init(RecordOwner screen)
    {
        super.init(screen);
    }

    public static final String DANCE_SCREEN_RECORD_FILE = null;   // Screen field
    /**
     * Add this field in the Record's field sequence.
     */
    public BaseField setupField(int iFieldSeq)
    {
        BaseField field = null;
        if (iFieldSeq == 0)
            field = new DanceField(this, DANCE_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 1)
            field = new DanceAlignmentField(this, DANCE_ALIGNMENT_IN_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 2)
            field = new DanceAlignmentField(this, DANCE_ALIGNMENT_OUT_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 3)
            field = new DanceArtisticClassField(this, DANCE_ARTISTIC_CLASS_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 4)
            field = new DanceDirectionField(this, DANCE_DIRECTION_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 5)
            field = new DanceFootField(this, DANCE_FOOT_IN, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 6)
            field = new DanceFootField(this, DANCE_FOOT_OUT, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 7)
            field = new DancePositionField(this, DANCE_POSITION_IN_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 8)
            field = new DancePositionField(this, DANCE_POSITION_OUT_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 9)
            field = new HandPositionField(this, HAND_POSITION_IN_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 10)
            field = new HandPositionField(this, HAND_POSITION_OUT_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (iFieldSeq == 11)
            field = new MoveClassField(this, MOVE_CLASS_ID, Constants.DEFAULT_FIELD_LENGTH, null, null);
        if (field == null)
            field = super.setupField(iFieldSeq);
        return field;
    }

}
